> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-apis/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-apis/accessing-os-apis/os-ngd-api-tiles/technical-specification/conformance.md).

# Conformance

## GET /conformance

> Retrieve the set of OS NGD API – Tiles conformance classes that are supported by this service.

```json
{"openapi":"3.0.1","info":{"title":"OS NGD API - Tiles","version":"v1.8"},"servers":[{"description":"NGD OGC API - Tiles server","url":"https://api.os.uk/maps/vector/ngd/ota/v1"}],"paths":{"/conformance":{"get":{"operationId":"getConformance","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/getConformance_200_response"}}},"description":"The URIs of all conformance classes supported by the server"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/exceptionDto"}}},"description":"The request was not supported."},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/exceptionDto"}}},"description":"The requested resource does not exist on the server. For example, a path parameter had an incorrect value."},"405":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/exceptionDto"}}},"description":"The HTTP method requested is not supported. This endpoint only supports 'GET' requests."},"406":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/exceptionDto"}}},"description":"A request header value was not supported."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/exceptionDto"}}},"description":"A server error occurred."},"504":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/exceptionDto"}}},"description":"Gateway Timeout."}},"summary":"Retrieve the set of OS NGD API – Tiles conformance classes that are supported by this service.","tags":["Landing Page"]}}},"components":{"schemas":{"getConformance_200_response":{"allOf":[{"$ref":"#/components/schemas/confClasses"}]},"confClasses":{"properties":{"conformsTo":{"items":{"type":"string"},"type":"array"}},"required":["conformsTo"],"type":"object"},"exceptionDto":{"description":"JSON schema for exceptions based on RFC 7807","properties":{"type":{"type":"string"},"title":{"type":"string"},"status":{"type":"integer"},"detail":{"type":"string"},"instance":{"type":"string"},"code":{"type":"integer"},"description":{"type":"string"},"help":{"type":"string"}},"required":["type"],"title":"Exception Schema","type":"object"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.os.uk/os-apis/accessing-os-apis/os-ngd-api-tiles/technical-specification/conformance.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
